> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voyantcloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Email Domains

> Retrieve configured email domains for your workspace.

## Method

`GET` `/v1/comms/email-domains`

## Headers

<ParamField header="Authorization" type="string" required>Bearer token (e.g. <code>Authorization: Bearer YOUR\_API\_KEY</code>)</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl https://api.voyantcloud.com/v1/comms/email-domains \
    -H "Authorization: Bearer YOUR_API_KEY"
  ```

  ```javascript Node.js theme={null}
  await fetch("https://api.voyantcloud.com/v1/comms/email-domains", {
    headers: { Authorization: `Bearer ${process.env.VOYANT_API_KEY}` },
  })
  ```

  ```python Python theme={null}
  import os, requests
  requests.get("https://api.voyantcloud.com/v1/comms/email-domains", headers={"Authorization": f"Bearer {os.environ['VOYANT_API_KEY']}"})
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "data": [
      {
        "id": "emd_123",
        "domainId": "dom_abc",
        "provider": "ses",
        "returnPathDomain": "bounces.example.com",
        "trackingDomain": "trk.example.com",
        "dmarcPolicy": "quarantine",
        "verifiedAt": null,
        "createdAt": "2025-01-01T10:00:00Z",
        "updatedAt": "2025-01-01T10:00:00Z"
      }
    ]
  }
  ```
</ResponseExample>
